usb_endpoint_type
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_endpoint_type — get the endpoint's transfer type

## Synopsis

`int usb_endpoint_type (` | const struct usb_endpoint_descriptor * | epd`)`;

## Arguments

`epd`

  endpoint to be checked

## Description

Returns one of USB_ENDPOINT_XFER_{CONTROL, ISOC, BULK, INT} according to `epd`'s transfer type.

Prev | Up | Next
usb_endpoint_num | Home | usb_endpoint_dir_in